Bug 850409 - Introduce new systemd-rpm macros in sidc spec file
Introduce new systemd-rpm macros in sidc spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sidc (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Marko
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:24 EDT by Lukáš Nykrýn
Modified: 2016-01-31 21:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:02:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Scriptlets replaced with new systemd macros (893 bytes, patch)
2012-08-22 08:54 EDT, Lukáš Nykrýn
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:24:22 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Lukáš Nykrýn 2012-08-22 08:54:16 EDT
Created attachment 606257 [details]
Scriptlets replaced with new systemd macros
Comment 2 Fedora Update System 2012-08-23 04:13:22 EDT
sidc-1.8-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sidc-1.8-2.fc18
Comment 3 Fedora Update System 2012-08-23 11:38:38 EDT
Package sidc-1.8-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sidc-1.8-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12574/sidc-1.8-2.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-09-17 19:02:29 EDT
sidc-1.8-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.